misc/libutf - The NetBSD Packages Collection

UTF-8 character set support library, including regular expressions

This software is a library which implements UTF-8 support routines,
and uses those routines and others to implement UTF-8aware regular
expresions.  Language collation sequences are specified in a text
file, ${PREFIX}/etc/langcoll.utf, and feedback as to their correctness
is appreciated.

Alistair G. Crooks

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibutf-3.0.tgz
NetBSD 8.0earmv7hflibutf-3.0.tgz
NetBSD 8.0earmv7hflibutf-3.0.tgz
NetBSD 8.0i386libutf-3.0.tgz
NetBSD 8.0i386libutf-3.0.tgz
NetBSD 8.0i386libutf-3.0.tgz
NetBSD 8.0powerpclibutf-3.0.tgz
NetBSD 8.0powerpclibutf-3.0.tgz
NetBSD 8.0powerpclibutf-3.0.tgz
NetBSD 8.0x86_64libutf-3.0.tgz
NetBSD 8.0x86_64libutf-3.0.tgz
NetBSD 9.0aarch64libutf-3.0.tgz
NetBSD 9.0aarch64libutf-3.0.tgz
NetBSD 9.0aarch64libutf-3.0.tgz
NetBSD 9.0alphalibutf-3.0.tgz
NetBSD 9.0alphalibutf-3.0.tgz
NetBSD 9.0alphalibutf-3.0.tgz
NetBSD 9.0earmlibutf-3.0.tgz
NetBSD 9.0earmlibutf-3.0.tgz
NetBSD 9.0earmlibutf-3.0.tgz
NetBSD 9.0earmv6hflibutf-3.0.tgz
NetBSD 9.0earmv6hflibutf-3.0.tgz
NetBSD 9.0earmv6hflibutf-3.0.tgz
NetBSD 9.0earmv6hflibutf-3.0.tgz
NetBSD 9.0earmv7hflibutf-3.0.tgz
NetBSD 9.0earmv7hflibutf-3.0.tgz
NetBSD 9.0earmv7hflibutf-3.0.tgz
NetBSD 9.0earmv7hflibutf-3.0.tgz
NetBSD 9.0i386libutf-3.0.tgz
NetBSD 9.0i386libutf-3.0.tgz
NetBSD 9.0i386libutf-3.0.tgz
NetBSD 9.0mips64eblibutf-3.0.tgz
NetBSD 9.0mips64eblibutf-3.0.tgz
NetBSD 9.0mips64eblibutf-3.0.tgz
NetBSD 9.0mipsellibutf-3.0.tgz
NetBSD 9.0mipsellibutf-3.0.tgz
NetBSD 9.0powerpclibutf-3.0.tgz
NetBSD 9.0powerpclibutf-3.0.tgz
NetBSD 9.0sh3ellibutf-3.0.tgz
NetBSD 9.0sh3ellibutf-3.0.tgz
NetBSD 9.0sparc64libutf-3.0.tgz
NetBSD 9.0sparc64libutf-3.0.tgz
NetBSD 9.0sparc64libutf-3.0.tgz
NetBSD 9.0sparc64libutf-3.0.tgz
NetBSD 9.0sparclibutf-3.0.tgz
NetBSD 9.0sparclibutf-3.0.tgz
NetBSD 9.0sparclibutf-3.0.tgz
NetBSD 9.0x86_64libutf-3.0.tgz
NetBSD 9.0x86_64libutf-3.0.tgz
NetBSD 9.0x86_64libutf-3.0.tgz
NetBSD 9.0x86_64libutf-3.0.tgz
NetBSD 9.0x86_64libutf-3.0.tgz
NetBSD 9.0x86_64libutf-3.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.